Package org.pgpainless.key.util

# Class RevocationAttributes.WithDescription

java.lang.Object
org.pgpainless.key.util.RevocationAttributes.WithDescription

Enclosing class:
  `RevocationAttributes`

public static final class RevocationAttributes.WithDescription extends Object

## Method Summary

Modifier and Type
Method
Description
`RevocationAttributes`
`withDescription(String description)`
Set a human-readable description of the revocation reason.
`RevocationAttributes`
`withoutDescription()`
Set an empty human-readable description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withDescription

public RevocationAttributes withDescription(@Nonnull String description)
Set a human-readable description of the revocation reason.

Parameters:
  `description` - description
Returns:
  revocation attributes

### withoutDescription

public RevocationAttributes withoutDescription()
Set an empty human-readable description.

Returns:
  revocation attributes